Search documentation of ExStreamClient

# ExStreamClient.Model.DeleteUsersRequest (ExStreamClient v0.1.10)

View Source

Schema representing a DeleteUsersRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.DeleteUsersRequest{
      calls: (:hard | :soft) | nil,
      conversations: (:hard | :soft) | nil,
      messages: (:hard | :pruning | :soft) | nil,
      new_call_owner_id: String.t() | nil,
      new_channel_owner_id: String.t() | nil,
      user: (:hard | :pruning | :soft) | nil,
      user_ids: [String.t()]
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()